import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

    let that = this
    if (this.featureIsOn) {
        this.accessLogs.forEach(function (accessLog) {
            if (typeof (that.regions[accessLog.remoteAddr]) == "string") {
                accessLog.region = that.regions[accessLog.remoteAddr]
            } else {
                accessLog.region = ""
            }
        })
    }
}